Battery level stuck at 100% and Estimating...

Bug #1824886 reported by Mike Kapushin on 2019-04-15
22
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Battery applet does not display battery charge. Always shows 100%.

ASUS 1215T-RED008S.
Description: Ubuntu 18.04.2 LTS
Release: 18.04
gnome-control-center:
  Установлен: 1:3.28.2-0ubuntu0.18.04.2
  Кандидат: 1:3.28.2-0ubuntu0.18.04.3

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: gnome-control-center 1:3.28.2-0ubuntu0.18.04.2
ProcVersionSignature: Ubuntu 4.18.0-17.18~18.04.1-generic 4.18.20
Uname: Linux 4.18.0-17-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Tue Apr 16 00:48:18 2019
InstallationDate: Installed on 2019-04-10 (5 days ago)
InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-control-center
UpgradeStatus: No upgrade log present (probably fresh install)

Mike Kapushin (nitronomicon) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. Could you take a screenshot showing the issue?
Could you also copy the output of "upower -d" to the bug?

Changed in gnome-control-center (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Mike Kapushin (nitronomicon) wrote :

Hello Sebastien!

In an attempt to figure out the cause, I did the following:
1.) Launched from a Linux Mint flash drive - the applet works there.
2.) And in Windows also works.
3.) Launched Ubuntu from a flash drive - does not work.

upower -d
Device: /org/freedesktop/UPower/devices/line_power_AC0
  native-path: AC0
  power supply: yes
  updated: Вт 16 апр 2019 10:43:43 (1616 seconds ago)
  has history: no
  has statistics: no
  line-power
    warning-level: none
    online: yes
    icon-name: 'ac-adapter-symbolic'

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: BAT0
  vendor: ASUS
  model: 1215T
  power supply: yes
  updated: Вт 16 апр 2019 11:09:44 (55 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: charging
    warning-level: none
    energy: 58,9344 Wh
    energy-empty: 0 Wh
    energy-full: 58,9344 Wh
    energy-full-design: 60,3376 Wh
    energy-rate: 0,014032 W
    voltage: 65,535 V
    percentage: 100%
    capacity: 97,6744%
    technology: lithium-ion
    icon-name: 'battery-full-charging-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply: yes
  updated: Вт 16 апр 2019 09:45:03 (5136 seconds ago)
  has history: no
  has statistics: no
  battery
    present: yes
    state: charging
    warning-level: none
    energy: 58,9344 Wh
    energy-full: 58,9344 Wh
    energy-rate: 0,014032 W
    percentage: 100%
    icon-name: 'battery-full-charging-symbolic'

Daemon:
  daemon-version: 0.99.7
  on-battery: no
  lid-is-closed: no
  lid-is-present: yes
  critical-action: PowerOff

Mike Kapushin (nitronomicon) wrote :
Mike Kapushin (nitronomicon) wrote :

Sebastien,

importance: Undecided → High!!!!! :)

This error does not allow you to use Ubuntu on a laptop :(

Sebastien Bacher (seb128) wrote :

@Mike, arguing over the triaging details isn't really that useful, but for the record see https://wiki.ubuntu.com/Bugs/Importance. The battery estimate is indeed useful, but you are so far the only one reporting the issues and one report isn't enough to consider it as High then (for what we know it could be a problem with your laptop)

Your upower log has

'battery
    state: charging
    percentage: 100%'

Could you attach a journalctl log as well? what % do you get under a mint live session? is the laptop currently plugged or on battery?

Mike Kapushin (nitronomicon) wrote :

If I unplug the charger and reboot, the command issues the following (100% always):

upower -d
Device: /org/freedesktop/UPower/devices/line_power_AC0
  native-path: AC0
  power supply: yes
  updated: Вт 16 апр 2019 18:06:47 (313 seconds ago)
  has history: no
  has statistics: no
  line-power
    warning-level: none
    online: no
    icon-name: 'ac-adapter-symbolic'

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: BAT0
  vendor: ASUS
  model: 1215T
  power supply: yes
  updated: Вт 16 апр 2019 18:10:47 (73 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: discharging
    warning-level: none
    energy: 58,9344 Wh
    energy-empty: 0 Wh
    energy-full: 58,9344 Wh
    energy-full-design: 60,3376 Wh
    energy-rate: 0,014032 W
    voltage: 65,535 V
    percentage: 100%
    capacity: 97,6744%
    technology: lithium-ion
    icon-name: 'battery-full-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply: yes
  updated: Вт 16 апр 2019 18:03:27 (513 seconds ago)
  has history: no
  has statistics: no
  battery
    present: yes
    state: discharging
    warning-level: none
    energy: 58,9344 Wh
    energy-full: 58,9344 Wh
    energy-rate: 0,014032 W
    percentage: 100%
    icon-name: 'battery-full-symbolic'

Daemon:
  daemon-version: 0.99.7
  on-battery: yes
  lid-is-closed: no
  lid-is-present: yes
  critical-action: PowerOff

Mike Kapushin (nitronomicon) wrote :

Ubuntu log.

Mike Kapushin (nitronomicon) wrote :

How it works in Linux Mint:

Mike Kapushin (nitronomicon) wrote :

Screenshot 1:

Mike Kapushin (nitronomicon) wrote :

Screenshot 2:

Mike Kapushin (nitronomicon) wrote :

Screenshot 3:

Mike Kapushin (nitronomicon) wrote :

I was looking for a solution in Google. Many people have a problem with the charge indicator in Ubuntu. And basically they all gave up without finding any solution to this problem. If we now find a solution to this problem, it will help many people and make ubuntu even better.

Sebastien Bacher (seb128) wrote :

Can you add your journalctl log from an Ubuntu bug having the issue? Does gnome-control-center display the correct status? (it's not clear from what session/system the screenshots are coming)

Sebastien Bacher (seb128) wrote :

Could you also give some reference on those discussions from others having the issue?

Mike Kapushin (nitronomicon) wrote :

I attached journalctl from Ubuntu in the Ubuntu_debug.log file. If this is not what you need - teach me how to do it.
Screenshots made in Linux Mint. gnome-control-center shows the correct status only Linux Mint (and Windows).

Mike Kapushin (nitronomicon) wrote :

https://bugs.launchpad.net/ubuntu/+source/upower/+bug/629258
https://bugs.launchpad.net/ubuntu/+source/indicator-power/+bug/1640544
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/572970
https://bugs.launchpad.net/ubuntu/+source/indicator-power/+bug/1231550
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/733866
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/455786
https://bugs.launchpad.net/ubuntu/+source/indicator-power/+bug/1451195
https://bugs.launchpad.net/ubuntu/+source/upower/+bug/994745
https://ubuntuforums.org/showthread.php?t=1627848
https://ubuntuforums.org/showthread.php?t=1601974
https://ubuntuforums.org/showthread.php?t=937255
https://ubuntuforums.org/showthread.php?t=1692765
https://ubuntuforums.org/showthread.php?t=1354867
https://ubuntuforums.org/showthread.php?t=1566962
https://ubuntuforums.org/archive/index.php/t-1035411.html
https://ubuntuforums.org/showthread.php?t=1627350
https://ubuntuforums.org/showthread.php?t=2415233
https://ubuntuforums.org/showthread.php?t=1634535
https://askubuntu.com/questions/894023/battery-is-stuck-on-estimating
https://askubuntu.com/questions/1062427/18-04-battery-charge-indicator-doesnt-reflect-state-of-charge
https://askubuntu.com/questions/76256/lubuntu-battery-monitor-always-says-100
https://askubuntu.com/questions/543508/indicator-power-stuck-on-the-first-value-after-logining
https://askubuntu.com/questions/587063/battery-indicator-always-says-using-battery-power-even-when-plugged-in-asus
https://askubuntu.com/questions/7205/battery-indicator-is-stuck-on-estimating
https://askubuntu.com/questions/922139/battery-shows-always-charging-even-its-not-plugged-in
https://askubuntu.com/questions/894023/battery-is-stuck-on-estimating/989607#989607
https://forums.linuxmint.com/viewtopic.php?t=251095
https://forums.linuxmint.com/viewtopic.php?t=65667
https://github.com/linuxmint/Cinnamon/issues/4925
https://arstechnica.com/civis/viewtopic.php?f=16&t=432885
https://forum.mxlinux.org/viewtopic.php?t=48113
https://bbs.archlinux.org/viewtopic.php?id=167767
https://romaco.ca/blog/2011/01/28/fix-that-annoying-laptop-battery-estimating-in-ubuntu/
https://www.reddit.com/r/archlinux/comments/5p7622/gnome_battery_indicator_is_stuck_on_estimating/
https://www.reddit.com/r/cloudready/comments/a3tnw5/battery_indicator_stuck_at_100/

Perhaps our case is somewhat similar to this:
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/460631
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/437745

In Russian:
https://spider.bsyteam.net/1281 - One guy managed to solve the problem, but this solution did not suit me and led to OS boot errors.
https://forum.ubuntu.ru/index.php?topic=222228.0
https://forum.ubuntu.ru/index.php?topic=218064.0
https://www.linux.org.ru/forum/linux-hardware/6950399
https://forum.ubuntu.ru/index.php?topic=79413.0
http://www.cyberforum.ru/ubuntu-linux/thread241690.html
https://unixforum.org/viewtopic.php?t=106380
https://forum.ubuntu.ru/index.php?topic=243173.0
https://ubuntugeeks.com/questions/63147/battery-indicator-always-says-using-battery-power-even-when-plugged-in-asus

summary: - Battery applet does not display battery charge.
+ Battery charge is 100% stuck and Estimating...
summary: - Battery charge is 100% stuck and Estimating...
+ Battery level stuck at 100% and Estimating...
affects: gnome-control-center (Ubuntu) → gnome-power-manager (Ubuntu)
Sebastien Bacher (seb128) wrote :

Thanks for the detail, the journal log you attached is fine it just got lost in the middle of the info.

It's a bit difficult to know what's going on exactly, but could you boot on Ubuntu with the charger unplugged, use the computer for a while (so we are sure the battery is not at 100%) and
- take the upower -d output again
- attach a screenshot of gnome-control-center/power panel and gnome-power-statistics
- give the output of '$ cat /sys/class/power_supply/BAT0/charge*'

Mike Kapushin (nitronomicon) wrote :

I disconnected the power adapter and worked ~30 minutes.

upower -d
Device: /org/freedesktop/UPower/devices/line_power_AC0
  native-path: AC0
  power supply: yes
  updated: Ср 17 апр 2019 13:31:34 (959 seconds ago)
  has history: no
  has statistics: no
  line-power
    warning-level: none
    online: yes
    icon-name: 'ac-adapter-symbolic'

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: BAT0
  vendor: ASUS
  model: 1215T
  power supply: yes
  updated: Ср 17 апр 2019 13:45:35 (118 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: charging
    warning-level: none
    energy: 58,9344 Wh
    energy-empty: 0 Wh
    energy-full: 58,9344 Wh
    energy-full-design: 60,3376 Wh
    energy-rate: 0,014032 W
    voltage: 65,535 V
    percentage: 100%
    capacity: 97,6744%
    technology: lithium-ion
    icon-name: 'battery-full-charging-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply: yes
  updated: Ср 17 апр 2019 12:40:41 (4012 seconds ago)
  has history: no
  has statistics: no
  battery
    present: yes
    state: charging
    warning-level: none
    energy: 58,9344 Wh
    energy-full: 58,9344 Wh
    energy-rate: 0,014032 W
    percentage: 100%
    icon-name: 'battery-full-charging-symbolic'

Daemon:
  daemon-version: 0.99.7
  on-battery: no
  lid-is-closed: no
  lid-is-present: yes
  critical-action: PowerOff

Mike Kapushin (nitronomicon) wrote :

$ cat /sys/class/power_supply/BAT0/charge*
4200000
4300000
4200000

Sebastien Bacher (seb128) wrote :

Looking to comment #20 it looks like a kernel issue, the /sys entry tell the charge level is 100%

Is /sys/class/power_supply/BAT0/status also telling you 'charging' when it's on battery?

Googling a bit I found https://bbs.archlinux.org/viewtopic.php?id=238944 which states it started being buggy on the 4.17 kernel, which would explain why it works on the 'old 4.15' kernel you have with mint.
The comment also state that it's fixed in kernel 4.20.13, could you try on a 19.04 liveCD to see if the new kernel there makes it work for you?

Mike Kapushin (nitronomicon) wrote :

I booted from the LiveCD 19.04. Although charging status is indicated the other way round, percentages are correct and decrease with battery discharge.

How tired I am of this...
Ubuntu does not work normally on any of the last ten computers...

Sebastien Bacher (seb128) wrote :

Thanks for testing, it confirms it's a kernel issue (and see the status is still wrong, worth reporting upstream probably)

affects: gnome-power-manager (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → New

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1824886

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Kai-Heng Feng (kaihengfeng) wrote :

Does the issue occur on non-HWE kernel, i.e. v4.15?

Mike Kapushin (nitronomicon) wrote :

Version 4.15 works well. Now I have installed Debian 9 with a kernel 4.9 on this device, it works well.

To post a comment you must log in.